
type DOMFile = File;
namespace ti_common.file {
    'use strict';
    export interface ICloudStorage {
        getFileList( filterRegex : RegExp ) : angular.IPromise<ti_common.file.File[]>;
        upload(file : DOMFile) : File;
        fileExists( name : string ) : angular.IPromise<boolean>;
    }
}